BSWAP(3)

NAME
bswap16, bswap32, bswap64 - byte-order swapping functions

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <machine/bswap.h>
uint16_t
bswap16(uint16_t);
uint32_t
bswap32(uint32_t);
uint64_t
bswap64(uint64_t);

DESCRIPTION
The bswap16(), bswap32(), and bswap64() functions return the value of their argument with the bytes inverted. They can be used to convert 16, 32 or 64 bits integers from little to big endian, or vice-versa.

SEE ALSO
byteorder(3)